C Standard Library Extensions: qfits_table Struct Reference

C Standard Library Extensions 6.2.0

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes
qfits_table Struct Reference

Table object. More...

`#include <qfits_table.h>`

List of all members.

## Public Attributes
char | filename [512]
int | tab_t
int | tab_w
int | nc
int | nr
qfits_col * | col

## Detailed Description

Table object.

This structure contains all information needed to read a FITS table. These information come from the header. The object is created by qfits_open().

To read a FITS table, here is a code example:

int main(int argc, char* argv[])
{
qfits_table * table ;
int n_ext ;
int i ;
// Query the number of extensions
n_ext = qfits_query_n_ext(argv[1]) ;
// For each extension
for (i=0 ; i<n_ext ; i++) {
// Read all the infos about the current table
table = qfits_table_open(argv[1], i+1) ;
// Display the current table
dump_extension(table, stdout, '|', 1, 1) ;
}
return ;
}

## Member Data Documentation

qfits_col* qfits_table::col

Array of qfits_col objects

Referenced by qfits_query_column(), qfits_query_column_data(), qfits_query_column_nulls(), qfits_query_column_seq(), qfits_query_column_seq_data(), qfits_table_close(), qfits_table_ext_header_default(), qfits_table_new(), and qfits_table_open().

char qfits_table::filename[512]

Name of the file the table comes from or it is intended to end to

Referenced by qfits_query_column(), qfits_query_column_seq(), qfits_save_table_hdrdump(), and qfits_table_new().

int qfits_table::nc

Number of columns

Referenced by qfits_table_close(), qfits_table_ext_header_default(), qfits_table_new(), and qfits_table_open().

int qfits_table::nr

Number of raws

Referenced by qfits_query_column(), qfits_query_column_data(), qfits_query_column_nulls(), qfits_query_column_seq(), qfits_table_ext_header_default(), qfits_table_new(), and qfits_table_open().

int qfits_table::tab_t

Table type. Possible values: QFITS_INVALIDTABLE, QFITS_BINTABLE, QFITS_ASCIITABLE

Referenced by qfits_query_column(), qfits_query_column_seq(), qfits_save_table_hdrdump(), qfits_table_append_xtension(), qfits_table_ext_header_default(), qfits_table_field_to_string(), and qfits_table_new().

int qfits_table::tab_w

Width in bytes of the table

Referenced by qfits_query_column(), qfits_query_column_seq(), and qfits_table_new().

The documentation for this struct was generated from the following file:

- qfits_table.h